Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class ErrorHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.ErrorHandler

All Implemented Interfaces:
  LifeCycle, Handler

Direct Known Subclasses:
  ErrorPageErrorHandler

    public class ErrorHandler

extends AbstractHandler

Handler for Error pages A handler that is registered at the org.mortbay.http.ErrorHandler context attributed and called by the HttpResponse.sendError method to write a error page.

Author:
  Greg Wilkins (gregw)

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`ErrorHandler()`

Method Summary
`java.lang.String` | `getCacheControl()` Get the cacheControl.
`void` | `handle(java.lang.String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, int dispatch)` Handle a request.
`protected void` | `handleErrorPage(javax.servlet.http.HttpServletRequest request, java.io.Writer writer, int code, java.lang.String message)`
`boolean` | `isShowStacks()`
`void` | `setCacheControl(java.lang.String cacheControl)` Set the cacheControl.
`void` | `setShowStacks(boolean showStacks)`
`protected void` | `write(java.io.Writer writer, java.lang.String string)`
`protected void` | `writeErrorPage(javax.servlet.http.HttpServletRequest request, java.io.Writer writer, int code, java.lang.String message, boolean showStacks)`
`protected void` | `writeErrorPageBody(javax.servlet.http.HttpServletRequest request, java.io.Writer writer, int code, java.lang.String message, boolean showStacks)`
`protected void` | `writeErrorPageHead(javax.servlet.http.HttpServletRequest request, java.io.Writer writer, int code, java.lang.String message)`
`protected void` | `writeErrorPageMessage(javax.servlet.http.HttpServletRequest request, java.io.Writer writer, int code, java.lang.String message, java.lang.String uri)`
`protected void` | `writeErrorPageStacks(javax.servlet.http.HttpServletRequest request, java.io.Writer writer)`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, doStart, doStop, getServer, setServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### ErrorHandler

    public ErrorHandler()

Method Detail

### handle

    public void handle(java.lang.String target,
                       javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response,
                       int dispatch)
                throws java.io.IOException

  Description copied from interface: `Handler`
  Handle a request.

  Parameters:
    `target` - The target of the request - either a URI or a name.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
    `dispatch` - The dispatch mode: `Handler.REQUEST`, `Handler.FORWARD`, `Handler.INCLUDE`, `Handler.ERROR`
  Throws:
    `java.io.IOException`

### handleErrorPage

    protected void handleErrorPage(javax.servlet.http.HttpServletRequest request,
                                   java.io.Writer writer,
                                   int code,
                                   java.lang.String message)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeErrorPage

    protected void writeErrorPage(javax.servlet.http.HttpServletRequest request,
                                  java.io.Writer writer,
                                  int code,
                                  java.lang.String message,
                                  boolean showStacks)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeErrorPageHead

    protected void writeErrorPageHead(javax.servlet.http.HttpServletRequest request,
                                      java.io.Writer writer,
                                      int code,
                                      java.lang.String message)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeErrorPageBody

    protected void writeErrorPageBody(javax.servlet.http.HttpServletRequest request,
                                      java.io.Writer writer,
                                      int code,
                                      java.lang.String message,
                                      boolean showStacks)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeErrorPageMessage

    protected void writeErrorPageMessage(javax.servlet.http.HttpServletRequest request,
                                         java.io.Writer writer,
                                         int code,
                                         java.lang.String message,
                                         java.lang.String uri)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeErrorPageStacks

    protected void writeErrorPageStacks(javax.servlet.http.HttpServletRequest request,
                                        java.io.Writer writer)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getCacheControl

    public java.lang.String getCacheControl()

  Get the cacheControl.

  Returns:
    the cacheControl header to set on error responses.

### setCacheControl

    public void setCacheControl(java.lang.String cacheControl)

  Set the cacheControl.

  Parameters:
    `cacheControl` - the cacheControl header to set on error responses.

### isShowStacks

    public boolean isShowStacks()

  Returns:
    True if stack traces are shown in the error pages

### setShowStacks

    public void setShowStacks(boolean showStacks)

  Parameters:
    `showStacks` - True if stack traces are shown in the error pages

### write

    protected void write(java.io.Writer writer,
                         java.lang.String string)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.